#!/usr/bin/env node
const fs = require('fs');
let re = /function\s+(\w+)\s*\(([^)]*)\)\s*{/gi;
let src = fs.readFileSync('./index.js', "utf8");

src = src.replace(re, (match, name) => {
    return match + `\nconsole.log("${name}", ...arguments);\n`;
});

fs.writeFileSync('index.instrument.js', src);
